# ApplicationFramework
TKCDF
LDOM

# LDOM_BasicAttribute Class Reference

`#include <LDOM_BasicAttribute.hxx>`

Inheritance diagram for LDOM_BasicAttribute:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
| LDOM_BasicAttribute ()
LDOM_BasicAttribute & | operator= (const LDOM_NullPtr *aNull)
const char * | GetName () const
const LDOMBasicString & | GetValue () const
void | SetValue (const LDOMBasicString &aValue, const Handle(LDOM_MemManager)&aDoc)

## Private Member Functions

| LDOM_BasicAttribute (const LDOMBasicString &aName)
| LDOM_BasicAttribute (const LDOM_Attr &anAttr)

## Static Private Member Functions

static LDOM_BasicAttribute & | Create (const LDOMBasicString &theName, const Handle(LDOM_MemManager)&theDoc, Standard_Integer &theHashIndex)

## Private Attributes

const char * | myName
LDOMBasicString | myValue

## Constructor & Destructor Documentation

LDOM_BasicAttribute::LDOM_BasicAttribute | ( |  | ) | `[inline]`

LDOM_BasicAttribute::LDOM_BasicAttribute | ( | const LDOMBasicString & | aName | ) | `[inline, private]`

LDOM_BasicAttribute::LDOM_BasicAttribute | ( | const LDOM_Attr & | anAttr | ) | `[private]`

## Member Function Documentation

static LDOM_BasicAttribute& LDOM_BasicAttribute::Create | ( | const LDOMBasicString & | theName,
|  | const Handle(LDOM_MemManager)& | theDoc,
|  | Standard_Integer & | theHashIndex
| ) | `[static, private]`

const char* LDOM_BasicAttribute::GetName | ( |  | ) | const`[inline]`

const LDOMBasicString& LDOM_BasicAttribute::GetValue | ( |  | ) | const`[inline]`

void* LDOM_BasicAttribute::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

LDOM_BasicAttribute& LDOM_BasicAttribute::operator= | ( | const LDOM_NullPtr * | aNull | ) |

| Reimplemented from LDOM_BasicNode.

void LDOM_BasicAttribute::SetValue | ( | const LDOMBasicString & | aValue,
|  | const Handle(LDOM_MemManager)& | aDoc
| ) | `[inline]`

## Field Documentation

const char* LDOM_BasicAttribute::myName `[private]`

LDOMBasicString LDOM_BasicAttribute::myValue `[private]`

The documentation for this class was generated from the following file:

- LDOM_BasicAttribute.hxx